<?php
//***************************************************************************//
//                                                                           //
//  Program Name    	: vCard PRO                                          //
//  Program Version     : 3.1 Build 4                                        //
//  Program Author      : Joao Kikuchi,  Belchior Foundry                    //
//  Home Page           : http://www.belchiorfoundry.com                     //
//  Supplied by         : WTN-WDYL Team                                      //
//  Nullified By        : WTN-WDYL Team                                      //
//  Distribution        : via WebForum, ForumRU and associated file dumps    //
//                                                                           //
//                (C) Copyright 2001-2005 Belchior Foundry                   //
//***************************************************************************//
define('IN_VCARD', true);
define('CURR_FILE','category.php');
include('./lib.inc.php');

check_lvl_access($curr_cp_user['superuser']);

function indexcat($cat_id, $reindex = '0')
{
	global $DB_site;
	
	if ($reindex == 1)
	{
		$sql = "DELETE FROM ". TBL_SEARCH_INDEX ." WHERE cat_id='$cat_id' ";
		$DB_site->query($sql);
	}
	$sql = "SELECT cat_id,cat_name FROM ". TBL_CARDS_CAT ." WHERE cat_id='$cat_id' ";
	$catinfo = $DB_site->query_first($sql);
	$allwords = trim($catinfo['cat_name']);
	$allwords = ereg_replace("^",' ',$allwords);
	$noise_words = file("noisewords.txt");
	for ($i=0; $i<count($noise_words); $i++)
	{
		$filter_words = trim($noise_words[$i]);
		$allwords = eregi_replace(" $filter_words ",' ',$allwords);
	}
	$allwords = eregi_replace("[\n\t\r,]",' ',$allwords);
	$allwords = eregi_replace('/',' ',$allwords);
	$allwords = preg_replace("/(\.+)($| |\n|\t)/s",' ', $allwords);
	$allwords = preg_replace("/[\(\)\"':*;%,\[\]?!#{}.&_$<>|=`\-+\\\\]/s",' ',$allwords); // '
	$allwords = eregi_replace(" ([[0-9a-z]{1,2}) ",' '," $allwords ");
	$allwords = eregi_replace(" ([[0-9a-z]{1,2}) ",' '," $allwords ");
	$allwords = eregi_replace("[[:space:]]+",' ', $allwords);
	$allwords = strtolower(trim($allwords));
	$wordarray = explode(' ',$allwords);
	$sql = "SELECT word_id,word_str FROM ". TBL_SEARCH_WORD ."";
	$words = $DB_site->query($sql);
	
	while ($word = $DB_site->fetch_array($words))
	{
		$wordcache[$word[word_str]] = $word['word_id'];
	}
	$DB_site->free_result($words);
	for ($k=0; $k<count($wordarray); $k++)
	{
		if (strlen($wordarray[$k])>2 && strlen($wordarray[$k])<30)
		{
			$wordarray[$k] = stripslashes(trim($wordarray[$k]));
			if (isset($wordcache[$wordarray[$k]]))
			{
				$word_id = $wordcache[$wordarray[$k]];
			}
			else
			{
				$sql = "INSERT IGNORE INTO ". TBL_SEARCH_WORD ."(word_id,word_str) VALUES (NULL, '".addslashes($wordarray[$k])."') ";
				$insert = $DB_site->query($sql);
				$word_id = $DB_site->insert_id();
			}
			if ($word_id)
			{
				$sql = "INSERT INTO ". TBL_SEARCH_INDEX ." (word_id,card_id,cat_id) VALUES ('$word_id','0','$cat_id') ";
				$DB_site->query($sql);
			}
		}
	}
}

function local_cat_tree($cat_parent = 0, $selected = 0, $insubcat = false)
{
	global $cat_tree_arr,$_menu_level,$s,$msg,$sys_tmp_vars;
	
	$_menu_level++;
	$space = ($insubcat)? str_repeat('&nbsp;',$_menu_level*3) : '';
	for ($i=0; $i<$sys_tmp_vars['k']; $i++)
	{
		if ($cat_tree_arr[$i]['cat_subid']==$cat_parent)
		{
			//'.$space. '
			$_html .= "\n	".'<li><b>'.$cat_tree_arr[$i]['cat_name'] .'</b> &nbsp; ('. $msg['a_order'] .' : <input type="text" name="order['. $cat_tree_arr[$i]['cat_id'] .']" value="' . $cat_tree_arr[$i]['cat_order'] . '" size="3">) '.
			'<a href="'. CURR_FILE .'?action=edit&cat_id='. $cat_tree_arr[$i]['cat_id'] .'&s='. $s . '">['. $msg['a_edit'] .']</a>&nbsp; '.
			( ($cat_tree_arr[$i]['cat_active']==1)? '<a href="'. CURR_FILE .'?action=deactivate&cat_id='. $cat_tree_arr[$i]['cat_id']. '&s='. $s .'">['. $msg['a_deactivate'] .']</a>' : '<a href="'. CURR_FILE .'?action=activate&cat_id='. $cat_tree_arr[$i]['cat_id'] .'&s='. $s .'">[<b>'. $msg['a_activate'] . '</b>]</a>' ).
			' &nbsp; <a href="'. CURR_FILE .'?action=delete&cat_id='. $cat_tree_arr[$i]['cat_id'] .'&s='. $s .'">['. $msg['a_delete'] .' ]</a>
			</li>';
			$_html .= local_cat_tree($cat_tree_arr[$i]['cat_id'],$selected,true);
			$j++;
		}
	}
	if($j>0)
	{
		$_html = "\n<ul>". $_html ."\n</ul>";
		$i = 0;
	}
	
	$_menu_level--;
	return $_html;
}
function get_subcat_ids_list($cat_id)
{
	global $cat_tree_arr,$sys_tmp_vars;
	
	for ($i=0; $i<$sys_tmp_vars['k']; $i++)
	{
		if ($cat_tree_arr[$i]['cat_subid']==$cat_id)
		{
			$list .= $cat_tree_arr[$i]['cat_id'].' ';
			$list .= get_subcat_ids_list($cat_tree_arr[$i]['cat_id']);
		}
	}
	return $list;
}

function make_assoc_event_cat($event_arr = array(), $cat_id = '')
{
	global $DB_site;
	
	if (is_array($event_arr) && !empty($cat_id))
	{
		$sql = "DELETE FROM ". TBL_ASSOC_EVENTSCATCARD ." WHERE cat_id='".addslashes($cat_id)."' AND card_id='0' ";
		$DB_site->query($sql);
		while (list($key,$val)=each($event_arr))
		{
			$event_id = $val;
			if($event_id!=0)
			{
				$sql = "INSERT INTO ". TBL_ASSOC_EVENTSCATCARD ." VALUES('".addslashes($event_id)."','0','".addslashes($cat_id)."') ";
				$DB_site->query($sql);
			}
		}
		return true;
	}
}
function make_sql_inlist($string)
{
	$list = "'$string'";
	$list = str_replace(' ', "','", $list);
	$list = str_replace(' ', ",", $list);
	$list = str_replace(",''", '', $list);
	return $list;
}

// ############################# DB ACTION #############################
if ($action == 'order')
{
	while (list($key,$val)=each($order))
	{
		$sql = "UPDATE ". TBL_CARDS_CAT ." SET cat_order='$val' WHERE cat_id='$key'";
		$DB_site->query($sql);
	}
	result_redirect(CURR_FILE,$action);
}

if ($action == 'update')
{
	$cat_subid = ($cat_subid == $cat_id) ? 0 : $cat_subid;
	if (isset($usergroup_id))
	{
		$sql = "DELETE FROM ". TBL_CARDS_CAT_PERMISSION ." WHERE cat_id='". addslashes($cat_id) ."' ";
		$DB_site->query($sql);
		$k = sizeof($usergroup_id);
		for ($i = 0; $i < $k; $i++)
		{
			$sql = "INSERT INTO ". TBL_CARDS_CAT_PERMISSION ." (catpermission_id, cat_id, usergroup_id) VALUES (NULL,'". addslashes($cat_id) ."','". addslashes($usergroup_id[$i]) ."')";
			$DB_site->query($sql);
		}
	}
	
	$sql = " UPDATE ". TBL_CARDS_CAT ." SET cat_name='".addslashes($cat_name)."', cat_subid='".addslashes($cat_subid)."', cat_img='".addslashes($cat_img)."', cat_link='".addslashes($cat_link)."', cat_header='".addslashes($cat_header)."', cat_footer='".addslashes($cat_footer)."', cat_sort='".addslashes($cat_sort)."' WHERE cat_id='".addslashes($cat_id)."' ";
	$DB_site->query($sql);
	indexcat($cat_id,1);
	
	make_assoc_event_cat($event_arr,$cat_id);
	
	make_cachereflash();
	result_redirect(CURR_FILE,$action);
}

if ($action == 'activate')
{
	$sql = " UPDATE ". TBL_CARDS_CAT ." SET cat_active='1' WHERE cat_id='".addslashes($cat_id)."' ";
	$DB_site->query($sql);
	make_cachereflash();
	result_redirect(CURR_FILE,$action);
}

if ($action == 'deactivate')
{
	$sql = " UPDATE ". TBL_CARDS_CAT ." SET cat_active='0' WHERE cat_id='".addslashes($cat_id)."' ";
	$DB_site->query($sql);
	$sql = " UPDATE ". TBL_CARDS_CAT ." SET cat_active='0' WHERE cat_subid='".addslashes($cat_id)."' ";
	$DB_site->query($sql);
	make_cachereflash();
	result_redirect(CURR_FILE,$action);
}

if ($action == 'delete')
{
	message_confirm(ACTION_DELETE,array('cat_id'=>$cat_id));
}

if ($action == 'delete2')
{
	$cat_id_list = $cat_id .' '. get_subcat_ids_list($cat_id);
	if (!empty($cat_id_list))
	{
		$arr = explode(' ',trim($cat_id_list));
		foreach ($arr as $k=>$v)
		{
			$sql = " SELECT card_id FROM ". TBL_CARDS_DATA ." WHERE cat_id='$v' ";
			$data_arr = $DB_site->query($sql);
			while ($row = $DB_site->fetch_array($data_arr))
			{
				$card_id_list .= $row['card_id'].' ';
			}
			$DB_site->free_result($data_arr);
		}
	}
	$cat_id_list = make_sql_inlist($cat_id_list);
	$card_id_list = make_sql_inlist($card_id_list);
	
	$sql = " DELETE FROM ". TBL_CARDS_DATA ." WHERE cat_id IN ($cat_id_list) ";
	$DB_site->query($sql);
	$sql = " DELETE FROM ". TBL_CARDS_CAT ." WHERE cat_id IN ($cat_id_list) ";
	$DB_site->query($sql);
	$sql = " DELETE FROM ". TBL_SEARCH_INDEX ." WHERE ( cat_id IN ($cat_id_list) ) OR ( card_id IN ($card_id_list)) ";
	$DB_site->query($sql);
	$sql = " DELETE FROM ". TBL_CARDS_CAT_PERMISSION ." WHERE cat_id='". addslashes($cat_id) ."' ";
	$DB_site->query($sql);
	make_cachereflash();
	result_redirect(CURR_FILE,$action);
}

if ($action == 'do_upload')
{
	if (empty($cat_name))
	{
		message_die(GENERAL_ERROR, $msg['a_category'] ." ". $msg['a_error_empty_form_field']);
	}
	$datefilename = date('Y-m-d_His');
	if (!empty($HTTP_POST_FILES['cat_img']))
	{
		$pic_name = 'cat_'. $datefilename .'.'. get_file_extension($HTTP_POST_FILES['cat_img']['name']);
		$FILE_site->set_base_dir($up_to_dir);
		$exts = array('gif','jpg','jpeg','png');
		if ($FILE_site->is_invalid_extension($HTTP_POST_FILES['cat_img']['name'],$exts))
		{
			message_die(CRITICAL_ERROR,$msg['a_error_wrong_file_extension']);
		}
		if ($FILE_site->make_upload($HTTP_POST_FILES['cat_img']['tmp_name'],$pic_name))
		{
			message_die(CRITICAL_ERROR,$msg['a_error_uploading']);
		}
	}
	$cat_img = get_url2filepath($pic_name, $up_to_dir);
	
	$sql = " INSERT INTO ". TBL_CARDS_CAT ." (cat_subid,cat_order, cat_name,cat_img,cat_link,cat_header,cat_footer,cat_sort) VALUES ('".addslashes($cat_subid)."','01','".addslashes($cat_name)."','".addslashes($cat_img)."','".addslashes($cat_link)."','".addslashes($cat_header)."','".addslashes($cat_footer)."','".addslashes($cat_sort)."') ";
	$DB_site->query($sql);
	$cat_id = $DB_site->insert_id();
	
	if (isset($usergroup_id))
	{
		$k = sizeof($usergroup_id);
		for ($i = 0; $i < $k; $i++)
		{
			$sql = "INSERT INTO ". TBL_CARDS_CAT_PERMISSION ." (catpermission_id, cat_id, usergroup_id) VALUES (NULL,'". addslashes($cat_id) ."','". addslashes($usergroup_id[$i]) ."')";
			$DB_site->query($sql);
		}
	}
	
	indexcat($cat_id);
	make_assoc_event_cat($event_arr,$cat_id);
	
	make_cachereflash();
	result_redirect(CURR_FILE.'?action=upload',$action);
}

if ($action == 'insert')
{
	// check if is a valide data
	if (empty($cat_name))
	{
		message_die(GENERAL_ERROR, $msg['a_category'] ." ". $msg['a_error_empty_form_field']);
	}
	$sql = " INSERT INTO ". TBL_CARDS_CAT ." (cat_subid,cat_order, cat_name,cat_img,cat_link,cat_header,cat_footer,cat_sort) VALUES ('".addslashes($cat_subid)."','01','".addslashes($cat_name)."','".addslashes($cat_img)."','".addslashes($cat_link)."','".addslashes($cat_header)."','".addslashes($cat_footer)."','".addslashes($cat_sort)."') ";
	$DB_site->query($sql);
	$cat_id = $DB_site->insert_id();
	
	if (isset($usergroup_id))
	{
		$k = sizeof($usergroup_id);
		for ($i = 0; $i < $k; $i++)
		{
			$sql = "INSERT INTO ". TBL_CARDS_CAT_PERMISSION ." (catpermission_id, cat_id, usergroup_id) VALUES (NULL,'". addslashes($cat_id) ."','". addslashes($usergroup_id[$i]) ."')";
			$DB_site->query($sql);
		}
	}
	
	indexcat($cat_id);
	make_assoc_event_cat($event_arr,$cat_id);
	
	make_cachereflash();
	result_redirect(CURR_FILE.'?action=add',$action);
}

include(VCARD_ROOT_PATH.'include/admin_header.inc.php');
// ############################# SCREENS #############################
if ($action == 'edit')
{
	$sql = "SELECT * FROM ". TBL_CARDS_CAT ." WHERE cat_id='$cat_id' ";
	$catinfo = $DB_site->query_first($sql);
	
	$HTML_site->form_header(CURR_FILE,'update');
	$HTML_site->form_hidden("cat_id",$catinfo['cat_id']);
	$HTML_site->table_header($msg['a_edit']);
	$HTML_site->form_input($msg['a_name'],"cat_name",stripslashes($catinfo['cat_name']));
	$extra = "<option value='0'> ". $msg['a_none'] ."</option>";
	$options = make_cat_options_array(0,$cat_id);
	$HTML_site->form_select($msg['a_category_subcat'],'cat_subid',$options,$catinfo['cat_subid'],$extra);
	
	$sql = " SELECT * FROM ". TBL_USR_GROUP ." ORDER BY usergroup_name ";
	$data_arr = $DB_site->query($sql);
	$options = array();
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$options[$row['usergroup_id']] = stripslashes($row['usergroup_name']);
	}
	$assoc_usergroups = array();
	$sql = " SELECT p.*, g.usergroup_name FROM ". TBL_CARDS_CAT_PERMISSION ." AS p LEFT JOIN ". TBL_USR_GROUP ." AS g ON (p.usergroup_id=g.usergroup_id) WHERE p.cat_id='". $cat_id  ."' ";
	$data_arr = $DB_site->query($sql);
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$assoc_usergroups[$row['usergroup_id']] = $row['usergroup_id'];
	}
	$HTML_site->form_multiple_select($msg['a_usergroup'],'usergroup_id[]',$options,$assoc_usergroups,$extra);
	
	$sql = "SELECT * FROM ". TBL_EVENTS ." ORDER BY event_month,event_day ";
	$data_arr = $DB_site->query($sql);
	$options = array();
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$options[$row['event_id']] = $row['event_month'].'/'.$row['event_day'] .' - '. stripslashes($row['event_name']);
	}
	$assoc_event_cards = array();
	$sql = "SELECT * FROM ". TBL_ASSOC_EVENTSCATCARD ." WHERE cat_id='".addslashes($cat_id)."' ";
	$data_arr = $DB_site->query($sql);
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$assoc_event_cards[$row['event_id']] = $row['event_id'];
	}
	$HTML_site->form_multiple_select($msg['a_event'],'event_arr[]',$options,$assoc_event_cards,$extra);
	
	$HTML_site->form_input($msg['a_cat_img'],"cat_img",$catinfo['cat_img']);
	$HTML_site->form_yesno($msg['a_cat_link'],"cat_link",$catinfo['cat_link']);
	$HTML_site->form_textarea($msg['a_header'],"cat_header",stripslashes($catinfo['cat_header']));
	$HTML_site->form_textarea($msg['a_footer'],"cat_footer",stripslashes($catinfo['cat_footer']));
	$sort_options = array(
		'0'=> $msg['a_sort_default'],
		'1'=> $msg['a_sort_rad'],
		'2'=> $msg['a_sort_caption'],
		'3'=> $msg['a_sort_dateasc'],
		'4'=> $msg['a_sort_datedesc'] );
	$HTML_site->form_select($msg['a_sorting'],"cat_sort",$sort_options,$catinfo['cat_sort']);
	$HTML_site->form_note($msg['a_help_image_dir_path']);	
	$HTML_site->form_footer($msg['a_update']);
}

if ($action == 'add')
{
	$HTML_site->form_header(CURR_FILE,'insert');
	$HTML_site->table_header($msg['a_add']);
	$HTML_site->form_input($msg['a_category'],"cat_name","");
	$extra = "<option value='0'> ". $msg['a_none'] ."</option>";
	$options = make_cat_options_array();
	$HTML_site->form_select($msg['a_category_subcat'],'cat_subid',$options,'',$extra);
	$sql = " SELECT * FROM ". TBL_USR_GROUP ." ORDER BY usergroup_name ";
	$data_arr = $DB_site->query($sql);
	$options = array();
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$options[$row['usergroup_id']] = stripslashes($row['usergroup_name']);
	}
	$assoc_usergroups = array(0=>0);
	$HTML_site->form_multiple_select($msg['a_usergroup'],'usergroup_id[]',$options,$assoc_usergroups,$extra);
	$sql = "SELECT * FROM ". TBL_EVENTS ." ORDER BY event_month,event_day ";
	$data_arr = $DB_site->query($sql);
	$options = array();
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$options[$row['event_id']] = $row['event_month'].'/'.$row['event_day'] .' - '. stripslashes($row['event_name']);
	}
	$assoc_event_cards = array(0=>0);
	$HTML_site->form_multiple_select($msg['a_event'],'event_arr[]',$options,$assoc_event_cards,$extra);
	$HTML_site->form_input($msg['a_cat_img'],"cat_img","");
	$HTML_site->form_yesno($msg['a_cat_link'],"cat_link","");
	$HTML_site->form_textarea($msg['a_header'],"cat_header");
	$HTML_site->form_textarea($msg['a_footer'],"cat_footer");
	$options = array(
		'0'=> $msg['a_sort_default'],
		'1'=> $msg['a_sort_rad'],
		'2'=> $msg['a_sort_caption'],
		'3'=> $msg['a_sort_dateasc'],
		'4'=> $msg['a_sort_datedesc'] );
	$HTML_site->form_select($msg['a_sorting'],"cat_sort",$options);
	$HTML_site->form_note($msg['a_help_image_dir_path']);	
	$HTML_site->form_footer($msg['a_add']);
}
if ($action == 'upload')
{
	$card_info = array();
	
	$HTML_site->form_header(CURR_FILE,'do_upload',1);
	$HTML_site->table_header($msg['a_upload']);
	$HTML_site->form_input($msg['a_category'],'cat_name','');
	$extra = '<option value="0"> '. $msg['a_none'] .'</option>';
	$options = make_cat_options_array();
	$HTML_site->form_select($msg['a_category_subcat'],'cat_subid',$options,'',$extra);
	$sql = " SELECT * FROM ". TBL_USR_GROUP ." ORDER BY usergroup_name ";
	$data_arr = $DB_site->query($sql);
	$options = array();
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$options[$row['usergroup_id']] = stripslashes($row['usergroup_name']);
	}
	$assoc_usergroups = array(0=>0);
	$HTML_site->form_multiple_select($msg['a_usergroup'],'usergroup_id[]',$options,$assoc_usergroups,$extra);
	$sql = "SELECT * FROM ". TBL_EVENTS ." ORDER BY event_month,event_day ";
	$data_arr = $DB_site->query($sql);
	$options = array();
	while ($row = $DB_site->fetch_array($data_arr))
	{
		$options[$row['event_id']] = $row['event_month'].'/'.$row['event_day'] .' - '. stripslashes($row['event_name']);
	}
	$assoc_event_cards = array(0=>0);
	$HTML_site->form_multiple_select($msg['a_event'],'event_arr[]',$options,$assoc_event_cards,$extra);
	$HTML_site->form_file($msg['a_cat_img_upload'],'cat_img');
	$options = make_dirs_form_options($cfg['site_image_path']);
	$HTML_site->form_select($msg['a_upload_to_dir'],'up_to_dir', $options, '','');
	$HTML_site->form_yesno($msg['a_cat_link'],"cat_link","");
	$HTML_site->form_textarea($msg['a_header'],"cat_header");
	$HTML_site->form_textarea($msg['a_footer'],"cat_footer");
	$options = array(
		'0'=> $msg['a_sort_default'],
		'1'=> $msg['a_sort_rad'],
		'2'=> $msg['a_sort_caption'],
		'3'=> $msg['a_sort_dateasc'],
		'4'=> $msg['a_sort_datedesc'] );
	$HTML_site->form_select($msg['a_sorting'],"cat_sort",$options);
	$HTML_site->form_note($msg['a_help_image_dir_path']);	
	$HTML_site->form_footer($msg['a_add']);
}

if (empty($action))
{
	$HTML_site->form_header(CURR_FILE,'order');
	$HTML_site->table_header($msg['a_edit']);
	$HTML_site->form_row($msg['a_category'],local_cat_tree());
	$HTML_site->form_footer($msg['a_order']);
}

include(VCARD_ROOT_PATH.'include/admin_footer.inc.php');

?>