<?php
//***************************************************************************//
//                                                                           //
//  Program Name    	: vCard PRO                                          //
//  Program Version     : 3.1 Build 4                                        //
//  Program Author      : Joao Kikuchi,  Belchior Foundry                    //
//  Home Page           : http://www.belchiorfoundry.com                     //
//  Supplied by         : WTN-WDYL Team                                      //
//  Nullified By        : WTN-WDYL Team                                      //
//  Distribution        : via WebForum, ForumRU and associated file dumps    //
//                                                                           //
//                (C) Copyright 2001-2005 Belchior Foundry                   //
//***************************************************************************//
define('VALIDATE_INC',true);
class VALIDATE_site
{
	var $banned_list = '';
	
	function VALIDATE_site()
	{
		
	}
	
	function set_var($varname, $value = '')
	{
		$this->$varname = $value;
	}
	
	function validate_url($url)
	{
		return eregi("^((ht|f)tp(s)://)((([a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4}))|(([0-9]{1,3}\.){3}([0-9]{1,3})))((/|\?)[a-z0-9~#%&'_\+=:\?\.-]*)*)$", $url); 
	}
	
	function validate_email($email)
	{
		$email = trim($email);
		$gTLDs = 'com:net:org:edu:gov:mil:int:arpa:info:biz:name:pro:eu:coop:museum:';
		$CCs = 'ac:ad:ae:af:ag:ai:al:am:an:ao:aq:ar:as:at:au:aw:az:ba:bb:bd:be:bf:'.
			'bg:bh:bi:bj:bm:bn:bo:br:bs:bt:bv:bw:by:bz:ca:cc:cf:cd:cg:ch:ci:'.
			'ck:cl:cm:cn:co:cr:cs:cu:cv:cx:cy:cz:de:dj:dk:dm:do:dz:ec:ee:eg:'.
			'eh:er:es:et:fi:fj:fk:fm:fo:fr:fx:ga:gb:gd:ge:gf:gh:gi:gl:gm:gn:'.
			'gp:gq:gr:gs:gt:gu:gw:gy:hk:hm:hn:hr:ht:hu:id:ie:il:in:io:iq:ir:'.
			'is:it:jm:jo:jp:ke:kg:kh:ki:km:kn:kp:kr:kw:ky:kz:la:lb:lc:li:lk:'.
			'lr:ls:lt:lu:lv:ly:ma:mc:md:mg:mh:mk:ml:mm:mn:mo:mp:mq:mr:ms:mt:'.
			'mu:mv:mw:mx:my:mz:na:nc:ne:nf:ng:ni:nl:no:np:nr:nt:nu:nz:om:pa:'.
			'pe:pf:pg:ph:pk:pl:pm:pn:pr:pt:pw:py:qa:re:ro:ru:rw:sa:sb:sc:sd:'.
			'se:sg:sh:si:sj:sk:sl:sm:sn:so:sr:st:su:sv:sy:sz:tc:td:tf:tg:th:'.
			'tj:tk:tm:tn:to:tp:tr:tt:tv:tw:tz:ua:ug:uk:um:us:uy:uz:va:vc:ve:'.
			'vg:vi:vn:vu:wf:ws:ye:yt:yu:za:zm:zr:zw:';
		$e_arr = explode('@', strtolower($email));
		if (sizeof($e_arr) != 2 || !$e_arr[0])
		{
			return false;
		}
		$levels_arr = explode('.', $e_arr[1]);
		if (sizeof($levels_arr)<2)
		{
			return false; 
		}
		$n_levels = sizeof($levels_arr);
		$tld = $levels_arr[$n_levels-1];
		$tld = ereg_replace("[>)}]$|]$",'', $tld); 
		if (strlen($tld) < 2 || strlen($tld) > 6)
		{
			return false;
		}
		if (!ereg($tld.':', $gTLDs) && !ereg($tld.':', $CCs))
		{
			return false;
		}
		return true;
	}
	
	function validate_referer($valide_domain, $referer_uri)
	{
		$valide_domain = empty($valide_domain)? getenv('SERVER_NAME') : $valide_domain;
		$referer_uri = getenv('HTTP_REFERER'); 
		preg_match("/^((http|https):\/\/)?([^\/]+)/i", $referer_uri, $v_matches); 
		$s_host = $v_matches[2]; 
		preg_match("/[^\.\/]+\.[^\.\/]+$/", $s_host, $v_matches); 
		return ($v_matches[0] == $valide_domain) ? true : false;
	}
	
	function clean_banned_email()
	{
		//if (@is_file($this->banned_list))
		//{
		//	$fp = @fopen($this->banned_list,'w');
		//	@fclose($fp);
		//}else{
			$this->banned_list = '';
		//}
		return true;
	}
	
	function is_invalid_email($email='')
	{
		return ($this->validate_email($email))? false : true;
	}
	
	function is_invalid_email2($email)
	{
		//"^[a-z0-9\._-]+@{1}([a-z0-9]{1,}[a-z0-9-]*[a-z0-9]{1,}\.{1})+([a-z]+\.){0,1}([a-z]+){1}$"
		if (eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$", trim($email)))
		{
			if ($this->banned_list2)
			{
				if ($this->is_banned_email($email))
				{
					return true;
				}
			}
			return false; 
		}
		return true;
	}
	function is_banned_email($email)
	{
		static $list_arr;
		
		$email = trim(strtolower($email));
		if (!isset($list_arr))
		{
			//if (@is_file($this->banned_list))
			//{
			//	$content = @fread(@fopen($this->banned_list, 'r'), @filesize($this->banned_list));
			//	$list_arr = explode("\n", $content);
			//}else{
				$content = trim(strtolower($this->banned_list));
				$content = str_replace("\n",'',$content);
				$list_arr = explode(',', $content);
			//}
		}
		$domain = strstr($email, '@');
		foreach ($list_arr as $key => $val)
		{
			$val = trim($val);
			if (!is_int(strpos($val,'*@')))
			{
				if ($email == $val)
				{
					return true;
				}
			}
			else
			{
				$val = str_replace('*', '', $val);
				if ($domain == $val)
				{
					return true;
				}
			}
		}
		return false;
	}
	
	function is_empty($field = '')
	{
		$field = trim($field);
		return empty($field) ? true : false;
	}
	
	function is_invalid_extension($ext, $types = array())
	{
		return (in_array($ext, $types)) ? false : true;
	}
}
?>